<?php
/*                                                       */
/* searchresult.php - Output for search in administration*/
/* $ID 2210a - 2024-05-02 - brom $                       */
/*                                                       */
/* BROM CMS/BelCal Project  <http://www.brom-belcal.de>  */
/*                                                       */
/* BROM CMS/BelCal is software you can redistribute it   */
/* under the terms the BROM CMS/BelCal license for free  */
/* and modify scripts but without warranty. It is not    */
/* redistributable for payment.                          */
/*                                                       */
/* A distribution of payment will be provided            */
/* exclusively by BROM Service see website or send mail. */
/*                                                       */
/* (c) by BROM-Service 2024  (team@brom-belcal.de)       */
/*                                                       */

// Stop this file from being accessed directly
require('../../../config/config.php');

$_SESSION['ADMINSEARCHTEXT']=preg_replace('/"/','&quot;',$_POST['searchinput']);

function is_objectadmin($o=0,$u=1){
	global $datapdo;
	$objreturn = false;
	$get_admins = $datapdo->query("SELECT `admin_users` FROM `".TABLE_PREFIX."objects` WHERE `object_id`='$o' LIMIT 0,1");
	if($datapdo->numRows($get_admins)>0){
		$admins = $datapdo->fetchRow($get_admins);
		$inadmins = explode(',',str_replace('_','',$admins['admin_users']));
		if(is_numeric(array_search($u,$inadmins))){ $objreturn = true; }
	}
	return $objreturn;
}
function get_outtextlimit($f_text,$p,$w){
	global $datapdo;
	// Get the limit of chars
	$chars_before = 35;
	$chars_after = 35;
	$start_p=0;
	$end_p=$chars_before+$chars_after;
	$addbefore = '';
	$addafter = '';
	if(strlen($f_text) > 10){
		$start_p = $p-$chars_before;
		if($start_p < 0){ $start_p = 0; }
		else{
			$start_p += strpos(substr($f_text,$start_p,$p),' ');
			$addbefore = '... ';
		}
		$end_p = $chars_before+$chars_after;
		$end_pp = $start_p+$end_p;
		if($end_pp > strlen($f_text)){ $end_p = strlen($f_text); }
		else{
			// find space after end
			$end_pspace = stripos(substr($f_text,$end_pp,strlen($f_text)),' ');
			if(FALSE !== $end_pspace){ $end_p += $end_pspace+1; $addafter = ' ...'; }
			else{ $end_p = strlen($f_text); $addafter = ''; }
		}
 		if(!preg_match('#.*\s#',substr($f_text,$start_p,$end_p))){ $returntext = $f_text; }
		else{ $returntext = $addbefore.substr($f_text,$start_p,$end_p).$addafter; }
	}
	return $returntext;
}

require_once(BC_PATH.'/lib/classes/class.admin.php');
// The search results are only output for administrators with permission for tools
$admin = new admin('Admintools','admintools','tools');

if(!isset($_POST['searchinput']) OR $_POST['searchinput']==''){
  $admin->print_error($MESSAGE['ADMIN']['INPUT_ERROR'],'javascript: history.go(-1);');
}
if($admin->get_group_id()>2){
  $admin->print_error($MESSAGE['ADMIN']['INSUFFICIENT_PRIVELLIGES'],'javascript: history.go(-1);');
}
$insearch = $admin->get_post('searchinput');
$getsearchinput = umlauts_to_entities($insearch);

$typesToMatch = array('tinytext','mediumtext','text','longtext');
$notab_pattern = "/attach|ban|copy|block|calendar|billing|services|section|query|type|group|user|form|mail|mod|preview|price|payment|invoice|fflds/";
$notab_pattern2 = "/icon|option|langu|smili|planer|addon|log|print|file|set|java|jsadmin|templ|xml|php|captcha|imap|iwrapper|menu|multi|icsimport/";
$nofld_pattern = "/more|module|keyword|menu|button|inc|item|height|width|langu|targ|visibility|pict|pricetab|commenting|pass|color|addon|admin|user|log|sort|head|loop|foot|java|templ|img|image|ref|app|url|link|path|only|trail|captcha|\_ip|ipv/";
$get_tables = $datapdo->query("SHOW TABLES LIKE '".TABLE_PREFIX."%'");
$tabfields = 0;
$matchconf = array();
while($tables = $datapdo->fetchRow($get_tables)){
  $table = $tables[0];
  $checknotab = str_replace(TABLE_PREFIX,"",$table);
  if($checknotab == 'slidegal_img' OR $checknotab == 'swiftgal_img' OR $checknotab == 'search'){ continue 1; }
  $matchflds = '';
  $matchflds2 = '';
  $countmatch = 0;
  if(!preg_match($notab_pattern,$table) AND !preg_match($notab_pattern2,$table)){
    $columsStatement = $datapdo->query( "DESCRIBE `".$table."`" );
    while($cStat = $datapdo->fetchRow($columsStatement,false)){
      $fieldname = $cStat['Field'];
      if(preg_match($nofld_pattern,$fieldname) OR (preg_match('/address/',$table) AND ($fieldname=='client_id' OR $fieldname=='academic' OR $fieldname=='fax' OR $fieldname=='adr_type'))){ continue 1; }
      $fieldtype = $cStat['Type'];
      if($countmatch<16 AND (preg_match('/char/i',$fieldtype) OR in_array($fieldtype,$typesToMatch))){
        $matchflds .= ($matchflds==''?"(":",")."`".$fieldname."`";
        $matchflds2 .= ($matchflds2==''?"(":",' ',")."`".$fieldname."`";
        $countmatch++;
      }
    }
  }
  if($matchflds != ''){ $matchconf[]=array('TAB'=>$table,'MATCH'=>$matchflds.")",'FIELDS'=>"CONCAT".$matchflds2.") AS `result`"); }
}
$curruserid = $admin->get_user_id();
//$getsearchinput = preg_replace('/\s?(.*+@.*)+\s?.*/','"$1"',$getsearchinput);
$getwords = preg_replace('/\+|\-/','',$getsearchinput);
if(substr($getwords,0,1)=='"' AND substr($getwords,-1)=='"'){
  $getwords = substr($getwords,1,-1);
  $words = array($getwords);
}
else{ $words = explode(' ',$getwords); }
// Patch for search an email
$newsearch = array();
foreach($words AS $wordK => $wordV){
  if(preg_match('/@/',$wordV)){ $newsearch[] = '"'.$wordV.'"'; }
  else{ $newsearch[] = $wordV; }
}
$getsearchinput = str_replace($words,$newsearch,$getsearchinput);

$searchinput = $admin->add_slashes($getsearchinput);
$outputlines = '';
$output = '';
$foundlines=0;
$old_o_id = 0;
if(count($matchconf)>0){
  foreach($matchconf AS $mKey => $mVal){
    $wordinresult = false;
    $outputlines = '';
    $outputtitle = '';
    $tab = $mVal['TAB'];
    $chktab = str_replace(TABLE_PREFIX,"",$tab);
    $flds = $mVal['MATCH'];
    $flds_withspace = $mVal['FIELDS'];
/* This need if the fields have changed
$datapdo->query("ALTER TABLE `".$tab."` DROP INDEX `FullText`");
/**/
    $get_thisind = $datapdo->numRows($datapdo->query("SHOW INDEX FROM `".$tab."` WHERE `key_name`='FullText'"));
    $outline = 0;
    if($get_thisind==0){
      $datapdo->query("ALTER TABLE `".$tab."` ADD FULLTEXT INDEX `FullText` ".$flds);
    }
//    $get_match = $datapdo->query("SELECT *,".$flds_withspace." FROM `".$tab."` WHERE MATCH".$flds." AGAINST('".$searchinput."' IN LANGUAGE MODE)");
    $get_match = $datapdo->query("SELECT *,".$flds_withspace." FROM `".$tab."` WHERE MATCH".$flds." AGAINST('".$searchinput."' IN BOOLEAN MODE)");
    $foundlines = $datapdo->numRows($get_match);
    if($foundlines>0){
      while($found = $datapdo->fetchRow($get_match)){
        $currmodule = '';
        $result = $found['result'];
        $result = preg_replace ('/<[^>]*>/', ' ', $result);
        $wordinresult = false;
        foreach($words AS $wK => $wV){
          $fpos = stripos($result,$wV);
          if($fpos !== false){ $wordinresult = true; }
        }
        // Check the user can see the results
        if($wordinresult === true){
          if(isset($found['object_id'])){
            $wordinresult = is_objectadmin($found['object_id'],$curruserid);
//          $admins = explode(',',$found['admin_users']);
//          if(!is_numeric(array_search($curruserid,$admins))){ $wordinresult = false; }
          }
          if(isset($found['adr_admins'])){
            $adradmins = explode(',',$found['adr_admins']);
            if(!is_numeric(array_search($curruserid,$adradmins))){ $wordinresult = false; }
          }
          if(isset($found['section_id'])){
            $currmodule = $datapdo->get_one("SELECT `module` FROM `".TABLE_PREFIX."sections` WHERE `section_id`='".$found['section_id']."' LIMIT 1");
            if(!$admin->get_permission($currmodule,'module')){ $wordinresult = false; }
          }
          // check we have searching with desription in obj_texts
          if($admin->get_permission('searching','module') AND $chktab == 'obj_texts' AND $found['description'] != ''){
            if($datapdo->numRows($datapdo->query("SELECT `result_object_id` FROM `".TABLE_PREFIX."search_objects` WHERE `result_object_id`='".$found['object_id']."'"))>0){
              $chktab = 'search_objects';
            }
          }
        }
        // Output if the result is correctly
        if($wordinresult === true){
          $patt = implode('|',$words);
          $outputresult = preg_replace('#('.$patt.')#i','<b>\1</b>',$result);
          $posA = stripos($outputresult,$words[0]);
          $outputresult = get_outtextlimit($outputresult,$posA,$words);
          // Get the link like table
          $modlink = '';
          $modlinkjs = '';
          switch ($chktab){
            case 'accord_texts':
              $get_inblock = $datapdo->query("SELECT `object_id`,`section_id`,`block_name` FROM `".TABLE_PREFIX."accord_blocks` WHERE `block_id`='".$found['block_id']."' LIMIT 1");
              $inblock = $datapdo->fetchRow($get_inblock);
              if(is_objectadmin($inblock['object_id'],$curruserid)==true){
                $blockname = $inblock['block_name'];
                $outputtitle = $chktab;
                if($currmodule != ''){
                  $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                  if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                    require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                    $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                  }
                }
                $outputtitle = '<h3>'.$outputtitle.'</h3>';
                $modlink = BC_URL.'/modules/accordiontext/modify_item.php?object_id='.$inblock['object_id'].ARGSO.'section_id='.$inblock['section_id'].ARGSO.'block_id='.$found['block_id'];
                $modlinkjs = BC_URL.'/modules/accordiontext/modify_item.php?object_id='.$inblock['object_id'].ARGSOJS.'section_id='.$inblock['section_id'].ARGSOJS.'block_id='.$found['block_id'];
                if($blockname!=''){
                  $outputlines .= '<h4><a href="'.$modlink.'">'.$TEXT['BLOCK'].' - '.$blockname.'</a></h4>';
                }
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="openaccblock'.$found['text_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlinkjs.'\'" /></td></tr></table>';
              }
              break;
            case 'address':
              if($admin->get_permission('address_view')){
                $outputtitle = '<h3>'.$MENU['ADRESSDATA'].'</h3>';
                $modlink = ADMIN_URL.'/addresses/adr_modify.php?aid='.$found['address_id'];
                $outputlines .= '<h4><a href="'.$modlink.'">'.$TEXT['ADDRESS'].'-'.$found['client_id'].'</a></h4>';
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="openadr'.$found['address_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              $addinres = '';
              $addinres1 = '';
              $addinres2 = '';
              $addinprov = '';
              $addinusers = '';
              $nextline = 0;
              // Check the address is in other tables
              if($admin->get_permission('reservations_view')){
                $get_addinres = $datapdo->query("SELECT `object_id`,`section_id`,`res_id`,`res_start`,`res_end` FROM `".TABLE_PREFIX."reservations` WHERE `client_id`='".$found['client_id']."' ORDER BY `res_end` DESC");
                if($datapdo->numRows($get_addinres)>0){
                  while($foundinres = $datapdo->fetchRow($get_addinres,false)){
                    $rID = $foundinres['res_id'];
                    $oID = $foundinres['object_id'];
                    if(is_objectadmin($oID,$curruserid)==true){
                      if(($nextline % 2)==0){ $addinres1 .= '<tr>'."\n"; }
                      $o_title = $TEXT['OBJECT'].': '.$admin->zero_to_number($oID,3).'-'.get_object_title($oID).'<br />';
                      $sID = $foundinres['section_id'];
                      $rdate = convert_date(DATE_FORMAT,$foundinres['res_start']).' - '.convert_date(DATE_FORMAT,$foundinres['res_end']);
                      $modlink = ADMIN_URL.'/reservations/res_modify.php?object_id='.$oID.ARGSO.'section_id='.$sID.ARGSO.'res_id='.$rID.ARGSO.'res_isarchive=0';
                      $modlinkjs = ADMIN_URL.'/reservations/res_modify.php?object_id='.$oID.ARGSOJS.'section_id='.$sID.ARGSOJS.'res_id='.$rID.ARGSOJS.'res_isarchive=0';
                      $addinres1 .= '<td style="width:25%">'.$o_title.$TEXT['RESERVATION'].'-'.$admin->zero_to_number($rID).' ('.$rdate.')</td>'."\n";
                      $addinres1 .= '<td style="width:8%"><input type="button" name="openres'.$rID.'" value="'.$TEXT['OPEN'].'" onclick="location.href=\''.$modlink.'\'" style="width:75%" /></td>'."\n";
                      $nextline++;
                    }
                    if(($nextline % 2)==0){ $addinres1 .= '</tr>'."\n"; }
                  }
                  if($addinres1 != ''){
                    if(($nextline % 2)>0){
                      $modtab = ($nextline % 2);
                      for($i=$modtab;$i<2;$i++){ $addinres1 .= '<td colspan="2" style="width:33%">&nbsp;</td>'."\n"; }
                      $addinres1 .= '</tr>'."\n";
                    }
                    $addinres .= '<p>'.$TEXT['RESERVATIONS'].'</p>'."\n";
                    $addinres .= '<table width="99%" cellspacing="0" cellpadding="1">'.$addinres1.'</table>'."\n";
                  }
                }
                $nextline = 0;
                $get_addinres2 = $datapdo->query("SELECT `object_id`,`section_id`,`res_id`,`res_start`,`res_end` FROM `".TABLE_PREFIX."res_archive` WHERE `client_id`='".$found['client_id']."' ORDER BY `res_end` DESC");
                if($datapdo->numRows($get_addinres2)>0){
                  while($foundinres = $datapdo->fetchRow($get_addinres2)){
                    $rID = $foundinres['res_id'];
                    $oID = $foundinres['object_id'];
                    if(is_objectadmin($oID,$curruserid)==true){
                      if(($nextline % 2)==0){ $addinres2 .= '<tr>'."\n"; }
                      $o_title = $TEXT['OBJECT'].': '.$admin->zero_to_number($oID,3).'-'.get_object_title($oID).'<br />';
                      $sID = $foundinres['section_id'];
                      $rdate = convert_date(DATE_FORMAT,$foundinres['res_start']).' - '.convert_date(DATE_FORMAT,$foundinres['res_end']);
                      $modlink = ADMIN_URL.'/reservations/res_modify.php?object_id='.$oID.ARGSO.'section_id='.$sID.ARGSO.'res_id='.$rID.ARGSO.'res_isarchive=1';
                      $modlinkjs = ADMIN_URL.'/reservations/res_modify.php?object_id='.$oID.ARGSOJS.'section_id='.$sID.ARGSOJS.'res_id='.$rID.ARGSOJS.'res_isarchive=1';
                      $addinres2 .= '<td style="width:25%">'.$o_title.$TEXT['RESERVATION'].'-'.$admin->zero_to_number($rID).' ('.$rdate.')</td>'."\n";
                      $addinres2 .= '<td style="width:8%"><input type="button" name="openres'.$rID.'" value="'.$TEXT['OPEN'].'" onclick="location.href=\''.$modlinkjs.'\'" style="width:75%" /></td>'."\n";
                      $nextline++;
                    }
                    if(($nextline % 2)==0){ $addinres2 .= '</tr>'."\n"; }
                  }
                  if($addinres2 != ''){
                    if(($nextline % 2)>0){
                      $modtab2 = ($nextline % 2);
                      for($i=$modtab2;$i<2;$i++){ $addinres2 .= '<td colspan="2" style="width:33%">&nbsp;</td>'."\n"; }
                      $addinres2 .= '</tr>'."\n";
                    }
                    $addinres .= '<p>'.$TEXT['RESERVATIONS'].' ('.$TEXT['ARCHIVED'].')</p>'."\n";
                    $addinres .= '<table width="99%" cellspacing="0" cellpadding="1">'.$addinres2.'</table>';
                  }
                }
              }
              if($admin->get_permission('users_modify') AND $found['user_id']>0){
                $get_user = $datapdo->query("SELECT `username`,`display_name`,`group_id` FROM `".TABLE_PREFIX."users` WHERE `user_id`='".$found['user_id']."' LIMIT 0,1");
                if($datapdo->numRows($get_user)>0){
                  $inuser = $datapdo->fetchRow($get_user);
                  $gnames = $datapdo->get_one("SELECT `group_name` FROM `".TABLE_PREFIX."usergroups` WHERE `group_id`='".$inuser['group_id']."' LIMIT 1");
                  $group_names = unserialize($gnames);
                  $group_name = (isset($group_names[LANGUAGE])?$group_names[LANGUAGE]:$group_names[DEFAULT_LANGUAGE]);
                  $addinusers .= '<table cellspacing="0" cellpadding="0"><tr><td>'.$TEXT['ACCOUNT'].' - '.$inuser['display_name'].' ('.$inuser['username'].') / '.$TEXT['GROUP'].': '.$group_name.'</td>';
                  $addinusers .= '<td style="padding-left:10px;"><form name="gouser" action="'.ADMIN_URL.'/users/users.php" method="post">'."\n";
                  $addinusers .= '<input type="hidden" name="action" value="modify" />'."\n";
                  $addinusers .= '<input type="hidden" name="user_id" value="'.$found['user_id'].'" />'."\n";
                  $addinusers .= '<input type="submit" name="submit" value="'.$TEXT['OPEN'].'" />'."\n";
                  $addinusers .= '</form></td></tr></table>'."\n";
                }
              }
              $row='a';
              if($addinres != '' OR $addinprov != '' OR $addinusers != ''){
                $outputlines .= '<h4>'.$TEXT['USE_IN_OTHER'].'</h4>';
              }
              if($addinusers != ''){
                $outputlines .= '<div class="row_'.$row.'">'.$addinusers.'</div>';
                $row=($row=='a'?'b':'a');
              }
              if($addinres != ''){
                $outputlines .= '<div class="row_'.$row.'">'.$addinres.'</div>';
                $row=($row=='a'?'b':'a');
              }
              break;
            case 'cal_servicelabels':
              $found_array = unserialize($found['labels']);
              $outresult = $found_array[LANGUAGE];
              $outresult = preg_replace('/('.$patt.')/i','<b>\1</b>',$outresult);
              $get_sobj = $datapdo->query("SELECT `object_id` FROM `".TABLE_PREFIX."cal_services` WHERE `slabel_id`='".$found['slabel_id']."'");
              $sobjects = array();
              if($datapdo->numRows($get_sobj)>0){
                while($sobj = $datapdo->fetchRow($get_sobj)){
                  $oID = $sobj['object_id'];
                  if(is_objectadmin($oID,$curruserid)==true){
                    array_push($sobjects,$oID);
                  }
                }
                if(count($sobjects)>0){
                  $outputtitle = '<h3>'.$TEXT['ASSIGNMENT_SERVICES'].'</h3>';
                  foreach($sobjects AS $oK => $oV){
                    if(is_objectadmin($oV,$curruserid)==true){
                      $outresult = $admin->zero_to_number($oV).' - '.get_object_title($oV).': '.$outresult;
                      $modlink = ADMIN_URL.'/reservations/mod_obj_services.php?object_id='.$oV.ARGSOJS.'back=1';
                      $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outresult.'</td>'."\n";
                      $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="openservice'.$found['slabel_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
                    }
                  }
                }
              }
              break;
            case 'download_ftexts':
            case 'download_gtexts':
            case 'download_comments':
              $outputtitle = $chktab;
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                  require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                  $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                }
              }
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $modlink = BC_URL.'/modules/dl_man/';
              if($chktab=='download_gtexts'){
                $dlitem_id = $found['section_id'].'_'.$found['gtext_id'];
                $modlink .= 'modify_group.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'group_id='.$found['group_id'];
                $newsitem = $found['section_id'].'_'.$found['gtext_id'];
              }
              else{
                $dlitem_id = ($chktab == 'download_ftexts'?$found['section_id'].'_'.$found['ftext_id']:$found['section_id'].'_'.$found['comment_id']);
                $modlink .= 'modify_file.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'file_id='.$found['file_id'];
              }
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="opendlitem'.$dlitem_id.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
            case 'faq_texts':
              $outputtitle = $chktab;
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                  require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                  $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                }
              }
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $modlink = BC_URL.'/modules/faq_manager/modify_item.php?object_id='.$found['object_id'].ARGSO.'section_id='.$found['section_id'].ARGSO.'item_id='.$found['item_id'];
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="openfaqitem'.$found['item_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
            case 'gbook':
              $outputtitle = $chktab;
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                  require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                  $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                }
              }
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $modlink = BC_URL.'/modules/gbook/gbk_modify.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'entry_id='.$found['id'];
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="opengbentry'.$found['id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
            case 'holidays':
              if($admin->get_permission('planer') AND $found['user_id'] == $curruserid){
                $outputtitle = '<h3>'.$TEXT['HOLI_DAYS'].'</h3>';
                $modlink = ADMIN_URL.'/planer/mod_holidays.php?user_id='.$curruserid;
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="openholidays'.$found['holidays_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              break;
            case 'linklist_texts':
            case 'linklist_groups':
              $outputtitle = $chktab;
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                  require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                  $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                }
              }
              if($chktab == 'linklist_groups'){
                $litemid = 'group'.$found['group_id'];
                $modlink = BC_URL.'/modules/'.$currmodule.'/modify_group.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'group_id='.$found['group_id'];
              }
              else{
                $litemid = 'text'.$found['text_id'];
                $modlink = BC_URL.'/modules/'.$currmodule.'/modify_link.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'link_id='.$found['link_id'];
              }
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="open'.$litemid.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
            case 'newspaper_groups':
              break;
            case 'newspaper_texts':
            case 'newspaper_gtexts':
            case 'newspaper_comments':
              $outputtitle = $chktab;
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                  require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                  $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                }
              }
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $modlink = BC_URL.'/modules/newspaper/';
              $newsitem_id = $found['section_id'].'_'.$found['news_id'];
              if($chktab == 'newspaper_gtexts'){
                $modlink .= 'modify_group.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'group_id='.$found['group_id'];
                $newsitem = $found['section_id'].'_'.$found['gtext_id'];
              }
              else{
                $modlink .= 'modify_post.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'news_id='.$found['news_id'];
              }
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="opennewitem'.$newsitem_id.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
            case 'obj_texts':
            case 'objects':
              $outputtitle = '';
              $outputinsearch = '';
              $is_insearching = false;
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $outputtitle = $TEXT['OBJECT'].' "'.get_object_title($found['object_id']).'" - ';
              $modlink = ADMIN_URL.'/objects/';
              if($chktab == 'obj_texts'){
                $outputtitle .= $TEXT['DEFAULT_TEXT'];
                $modlink .= 'set_deftxt.php';
              }
              else{
                $outputtitle .= $TEXT['SETTINGS'];
                $modlink .= 'settings.php';
              }
              $modlink .= '?object_id='.$found['object_id'];
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="object'.$found['object_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
            case 'reservations':
            case 'res_archive':
              // freefields auflsen
              $freeflds = '';
              if(isset($found['freefields']) AND $found['freefields'] != ''){
                $freefld_array = unserialize($found['freefields']);
                foreach($freefld_array AS $ffldK => $ffldV){
                  $freeflds .= ' '.$ffldV['LABEL'].': '.$ffldV['CONTENT'];
                }
              }
              $found['freefields'] = $freeflds;
              // build the new result without covid if is not relevant
              if($found['status']==0 OR $found['status']>3){
                // freefields auflsen
                $result = $found['name'].' '.$found['mail'].' '.$found['client_id'].' '.$found['mailtext'].' '.$found['icaluid'].' '.$found['freefields'];
              }
              else{
                $result = $found['name'].' '.$found['mail'].' '.$found['client_id'].' '.$found['mailtext'].' '.$found['icaluid'].' '.$found['freefields'].($found['covidnotice']!=''?' '.$found['covidnotice']:'');
              }
              $outputresult = preg_replace('#('.$patt.')#i','<b>\1</b>',$result);
              $posA = stripos($outputresult,$words[0]);
              $outputresult = get_outtextlimit($outputresult,$posA,$words);
              $oID = $found['object_id'];
              $o_title = $TEXT['OBJECT'].': '.$admin->zero_to_number($oID,3).'-'.get_object_title($oID).' - ';
              $rdate = convert_date(DATE_FORMAT,$found['res_start']).' - '.convert_date(DATE_FORMAT,$found['res_end']);
              $outputtitle = '<h3>'.$MENU['RESERVATIONS'].($chktab=='res_archive'?' ('.$TEXT['ARCHIVED'].')':'').'</h3>';
              $rID = $found['res_id'];
              $modlink = ADMIN_URL.'/reservations/res_modify.php?object_id='.$found['object_id'].ARGSO.'section_id='.$found['section_id'].ARGSO.'res_id='.$rID.ARGSO.'res_isarchive=';
              $modlinkjs = ADMIN_URL.'/reservations/res_modify.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'res_id='.$rID.ARGSOJS.'res_isarchive=';
              if($chktab=='res_archive'){ $modlink .= '1'; $modlinkjs .= '1'; }
              else{ $modlink .= '0'; $modlinkjs .= '0'; }
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;"><a href="'.$modlink.'">'.$o_title.$TEXT['RESERVATION'].'-'.$admin->zero_to_number($rID).'</a> ('.$rdate.')<br />'.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="openres'.$rID.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlinkjs.'\'" /></td></tr></table>';
              $modlinkadrjs = '';
              $outadrclient = '';
              // If the findword is the client id show the address
              $showADR = false;
              if($admin->get_permission('address')){
                foreach($words AS $findK => $findW){
                  if($findW == $found['client_id']){ $showADR = true; }
                }
                if($showADR == true){
                  $get_inadr = $datapdo->query("SELECT `address_id`,`adr_admins`,`name`,`prename` FROM `".TABLE_PREFIX."address` WHERE `client_id`='".$found['client_id']."' LIMIT 0,1");
                  if($datapdo->numRows($get_inadr)>0){
                    $in_adr = $datapdo->fetchRow($get_inadr);
                    $adradmins = explode(',',$in_adr['adr_admins']);
                    if(is_numeric(array_search($curruserid,$adradmins))){
                      $outadrclient = $in_adr['name'].($in_adr['prename']!=''?', '.$in_adr['prename']:'');
                      $modlinkadrjs = ADMIN_URL.'/addresses/adr_modify.php?aid='.$in_adr['address_id'];
                    }
                  }
                }
              }
              if($outadrclient != '' AND $modlinkadrjs != ''){
                $outputlines .= '<table class="row_a" cellspacing="0" cellpadding="0" width="100%"><tr><td style="width:35%">'.$TEXT['USE_IN_OTHER'].': '.$TEXT['ADDRESS'].' - '.$found['client_id'].'</td>';
                $outputlines .= '<td style="width:15%"><input type="button" name="openadr'.$found['client_id'].'" value="'.$TEXT['OPEN'].'" onclick="location.href=\''.$modlinkadrjs.'\'" style="width:50%" /></td>'."\n";
                $outputlines .= '<td style="width:50%">&nbsp;</td><tr>';
                $outputlines .= '</table>';
              }
              break;
            case 'scroll_texts':
              $currmodule = 'scroller';
              $outputtitle = $chktab;
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $obj = $datapdo->get_one("SELECT `object_id` FROM `".TABLE_PREFIX."sections` WHERE `section_id`='".$found['section_id']."' LIMIT 1");
              $modlink = BC_URL.'/modules/scroller/modify_item.php?object_id='.$obj.ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'block_id='.$found['block_id'];
              $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
              if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                $outputtitle = (isset($module_name)?$module_name:$outputtitle);
              }
              if($admin->get_permission($currmodule,'module') AND is_objectadmin($obj,$curruserid)==true){
                $outputtitle = '<h3>'.$outputtitle.'</h3>';
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="txt'.$found['text_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              break;
            case 'res_special_texts':
              $outputtitle = $chktab;
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $modlink = BC_URL.'/modules/special_offer/modify_item.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'].ARGSOJS.'item_id='.$found['lmitem_id'];
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
              }
              if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                $outputtitle = (isset($module_name)?$module_name:$outputtitle);
              }
              if($admin->get_permission($currmodule,'module')){
                $outputtitle = '<h3>'.$outputtitle.'</h3>';
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="item'.$found['lmitext_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              break;
            case 'search_countries':
              // Get the object and section for this found country
              $get_objsec = $datapdo->query("SELECT `object_id`,`section_id`,`countries` FROM `".TABLE_PREFIX."search_settings` WHERE `search_country`='1'");
              if($datapdo->numRows($get_objsec)>0){
                while($objsec = $datapdo->fetchRow($get_objsec)){
                  $allcountries = explode(',',$objsec['countries']);
                  if(is_numeric(array_search($found['country_sid'],$allcountries))){
                    $o_id = $objsec['object_id'];
                    $s_id = $objsec['section_id'];
                    if(is_objectadmin($o_id,$curruserid)==true){
                      $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
                      $outputtitle = '<h3>'.$TEXT['COUNTRY'].' / '.$TEXT['REGION'].'</h3>';
                      $modlink = BC_URL.'/modules/searching/mod_country.php?object_id='.$o_id.ARGSOJS.'section_id='.$s_id;
                      $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.get_object_title($o_id).'<br />'.$morelang.$outputresult.'</td>'."\n";
                      $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="opensearchcountry'.$found['country_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
                    }
                  }
                }
              }
              break;
            case 'search_objects':
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $getsearchdb = $datapdo->query("SELECT `result_id`,`search_object_id`,`result_object_id` FROM `".TABLE_PREFIX."search_objects` WHERE `result_object_id`='".$found['object_id']."' LIMIT 0,1");
              if($datapdo->numRows($getsearchdb)>0){
                $get_os = $datapdo->fetchRow($getsearchdb);
                $obj = $get_os['result_object_id'];
                $osid = $get_os['search_object_id'];
                $orid = $get_os['result_id'];
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='searching' LIMIT 1");
                if(file_exists(BC_PATH.'/modules/searching/languages/'.LANGUAGE.'.php')){
                  require(BC_PATH.'/modules/searching/languages/'.LANGUAGE.'.php');
                  $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                }
                $outputtitle = '<h3>'.$TEXT['OBJECT'].' "'.get_object_title($osid).'" - '.$outputtitle.'</h3>';
                $modlink = BC_URL.'/modules/searching/mod_search_object.php?object_id='.$obj.ARGSOJS.'osid='.$osid.ARGSOJS.'orid='.$orid.ARGSOJS.'backurl=search';
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="object'.$orid.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              break;
            case 'search_extern_objects':
              $obj_id = $datapdo->get_one("SELECT `search_object_id` FROM `".TABLE_PREFIX."search_objects` WHERE `result_id`='".$found['result_id']."' LIMIT 1");
              $sec_id = $datapdo->get_one("SELECT `section_id` FROM `".TABLE_PREFIX."search_settings` WHERE `object_id`='$obj_id' LIMIT 1");
              $currmodule = $datapdo->get_one("SELECT `module` FROM `".TABLE_PREFIX."sections` WHERE `section_id`='$sec_id' LIMIT 1");
              if(is_objectadmin($obj_id,$curruserid)==true){
                $outputtitle = $chktab;
                if($admin->get_permission($currmodule,'module')){
                  $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
                  if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                    require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                    $outputtitle = (isset($module_name)?$module_name:$outputtitle);
                  }
                  $outputtitle = '<h3>'.$outputtitle.'</h3>';
                  $modlink = BC_URL.'/modules/searching/';
                  $t1_array = unserialize($found['ex_result_title']);
                  $t2_array = unserialize($found['ex_result_text']);
                  $t3_array = unserialize($found['ex_result_mequip']);
                  foreach($t1_array AS $t1K => $t1V){
                    if($t1V != ''){
                      $foundtext = $t1V.' '.$t2_array[$t1K].($t2_array[$t1K]!=''?' ':'').$t3_array[$t1K];
                    }
                  }
                  $outputresult = preg_replace('/('.$patt.')/i','<b>\1</b>',$foundtext);
                  $posA = stripos($outputresult,$words[0]);
                  $outputresult = get_outtextlimit($outputresult,$posA,$words);
                  if($found['ex_object_id']==0){
                    $modlink .= 'mod_ext2_object.php?object_id='.$obj_id.ARGSOJS.'section_id='.$sec_id.ARGSOJS.'orid='.$found['result_id'];
                  }
                  else{
                    $modlink .= 'mod_ext_object.php?object_id='.$obj_id.ARGSOJS.'section_id='.$sec_id.ARGSOJS.'orid='.$found['result_id'];
                  }
                  $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
                  $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="opensearchitem'.$found['result_id'].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
                }
              }
              break;
            case 'slidegal_text':
            case 'slidegal_img_text':
              $outputtitle = $chktab;
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $modlink = BC_URL.'/modules/slide_gallery/';
              if($chktab == 'slidegal_img_text'){
                $getgalsetids = $datapdo->query("SELECT `object_id`,`section_id`,`galset_id` FROM `".TABLE_PREFIX."slidegal_img` WHERE `image_id`='".$found['image_id']."' LIMIT 1");
                $galsetids = $datapdo->fetchRow($getgalsetids);
                $o = $galsetids['object_id'];
                $s = $galsetids['section_id'];
                $g = $galsetids['galset_id'];
                $galid = $found['text_id'];
                $modlink .= 'modify_img.php';
              }
              else{
                $o = $found['object_id'];
                $s = $found['section_id'];
                $g = $found['galset_id'];
                $galid = $found['galtext_id'];
                $modlink .= 'modify_gal.php';
              }
              $modlink .= '?object_id='.$o.ARGSOJS.'section_id='.$s.ARGSOJS.'gallery_id='.$g;
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
              }
              else{
                // Get the currmodule
                $currmodule = $datapdo->get_one("SELECT `module` FROM `".TABLE_PREFIX."sections` WHERE `section_id`='$s' LIMIT 1");
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
              }
              if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                $outputtitle = (isset($module_name)?$module_name:$outputtitle);
              }
              if($admin->get_permission($currmodule,'module') AND is_objectadmin($o,$curruserid)==true){
                $outputtitle = '<h3>'.$outputtitle.'</h3>';
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="gal'.$galid.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              break;
            case 'swiftgal_text':
            case 'swiftgal_img_text':
              $outputtitle = $chktab;
              $morelang = ((isset($found['language']) AND $found['language'] != LANGUAGE)?'['.$found['language'].']-':'');
              $modlink = BC_URL.'/modules/swift_gallery/';
              if($chktab == 'swiftgal_img_text'){
                $gid = $datapdo->get_one("SELECT `gallery_id` FROM `".TABLE_PREFIX."swiftgal_img` WHERE `image_id`='".$found['image_id']."' LIMIT 1");
                $modlink .= 'modify_img.php';
              }
              else{
                $gid = $found['gallery_id'];
                $modlink .= 'modify_gal.php';
              }
              $getgalsetids = $datapdo->query("SELECT `object_id`,`section_id` FROM `".TABLE_PREFIX."swiftgal` WHERE `gallery_id`='$gid' LIMIT 1");
              $galsetids = $datapdo->fetchRow($getgalsetids);
              $o = $galsetids['object_id'];
              $s = $galsetids['section_id'];
              $galid = $s.'_'.$found['text_id'];
              $modlink .= '?object_id='.$o.ARGSOJS.'section_id='.$s.ARGSOJS.'gallery_id='.$gid;
              $currmodule = 'swift_gallery';
              $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
              if(file_exists(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php')){
                require(BC_PATH.'/modules/'.$currmodule.'/languages/'.LANGUAGE.'.php');
                $outputtitle = (isset($module_name)?$module_name:$outputtitle);
              }
              if($admin->get_permission($currmodule,'module') AND is_objectadmin($o,$curruserid)==true){
                $outputtitle = '<h3>'.$outputtitle.'</h3>';
                $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$morelang.$outputresult.'</td>'."\n";
                $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="gal'.$galid.'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              }
              break;
            default: '';
              $outputtitle = $chktab;
              $modlink = '#';
              if($currmodule != ''){
                $outputtitle = $datapdo->get_one("SELECT `name` FROM `".TABLE_PREFIX."addons` WHERE `directory`='$currmodule' LIMIT 1");
              }
              $modlink = ADMIN_URL.'/objects/modify.php?object_id='.$found['object_id'].'#'.$found['section_id'];
              if($chktab=='wysiwyg' AND isset($found['language']) AND $found['language']!=LANGUAGE){
                $modlink = BC_URL.'/modules/wysiwyg/mod_lang.php?object_id='.$found['object_id'].ARGSOJS.'section_id='.$found['section_id'];
              }
              $outputtitle = '<h3>'.$outputtitle.'</h3>';
              $outputlines .= '<table width="100%" celspacing="0" cellpadding="2"><tr><td style="width:75%;">'.$outputresult.'</td>'."\n";
              $outputlines .= '<td style="width:25%;text-align:right;"><input style="width:95%;" type="button" name="item'.$found[0].'" value="'.$TEXT['GOTO_MODIFY'].'" onclick="location.href=\''.$modlink.'\'" /></td></tr></table>';
              break;
          }
        }
      }
    }
    $output .= $outputtitle.$outputlines.(($outputtitle=='' AND $outputlines=='')?'':'<hr />');
//    $datapdo->query("ALTER TABLE `".$tab."` DROP INDEX `FullText`");
  }
  if($output != ''){
    $output = '<div><h2>'.$TEXT['RESULTS_FOR'].' '.$getsearchinput.'</h2>'.$output.'</div>';
  }
  else{
    $output = '<div><h2>'.$TEXT['RESULTS_FOR'].' '.$getsearchinput.'</h2>'.$TEXT['NONE_FOUND'].'</div>';
  }
}
else{
  $output = '<div><h2>'.$TEXT['RESULTS_FOR'].' '.$getsearchinput.'</h2>'.$TEXT['NONE_FOUND'].'</div>';
}
echo $output;
$admin->print_footer();
?>